#
# spec file for package perl-Set-Scalar (Version 1.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Set-Scalar
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Version:      1.10
Release:      31
#Requires:     perl-Class-Multimethods
Source0:      http://cpan.org/modules/by-module/Set/Set-Scalar-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Set of scalars

%description
This module implements a Set of scalars.

Authors:
--------
    Jarkko Hietaniemi <jhi@iki.fi>

SuSE series: perl

%prep
%setup -n Set-Scalar-%{version}
# replace rest of /usr/local/bin/perl with /usr/bin/perl
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
    rm -f tmp
    sed -e "s:^#!.*/usr/local/bin/perl:#!/usr/bin/perl:g" $f > tmp
    mv -f tmp $f
done

%build
perl Makefile.PL
make
make test

%install
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
    INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
    INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 \
    install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
#install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
#cp -pR ./demo/ $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Set/Scalar
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
#%doc %{_defaultdocdir}/%{name}
%doc README ChangeLog MANIFEST
%doc %{_mandir}/man3/*
%{perl_sitearch}/../Set/Scalar.pm
%{perl_sitearch}/auto/Set/Scalar
/var/adm/perl-modules/%{name}

%changelog -n perl-Set-Scalar
* Mon Aug 13 2001 - rvasice@suse.cz
- initial package release (version 1.10)
